SUNDIAG(8)

NAME
sundiag - SunOS hardware diagnostic program

SYNOPSIS
/usr/diag/sundiag/sundiag [ -Cmpqtvw ] [ -a | -h hostname ] [ -o option_file ] [ -b batch_file ] [ -k kernel_name ] [ -o saved_options_file ] [ sunview_arguments ]
/usr/diag/sundiag/testname testname-specific_arguments [ cprquvdt ] [ h hostname ]

AVAILABILITY

This program is in the diagnostics (User_Diag) software category of SunOS. Refer to Installing SunOS for information on how to install optional software.

DESCRIPTION

Sundiag is a diagnostic utility that tests hardware functionality. At start-up, Sundiag probes for the hardware installed on the system under test, and displays test options for the hardware it detects. If a hardware device connected to the system under test is not detected by sundiag, then it is not connected properly.

Only super-user can use Sundiag .

The Sundiag program consists of the sundiag window-based user interface, along with several binary modules and executable files containing the actual test code, all of which reside in /usr/diag/sundiag.

The Sundiag program can be run from the SunView window environment, from a tty, or individual tests can be run from the command line of a C-shell or Bourne shell. Sundiag cannot be used with the OpenWindows user interface yet.

OPTIONS

  Running Sundiag in SunView or tty Mode

The following options are available when Sundiag is run from the SunView window environment, or a tty interface.

-C  Redirect the console output from any existing console window to the sundiag console sub-window. If you are using the tty interface, the console message is displayed in the message line of the status screen.

-m  Create any missing device files for the devices found during the kernel probe. sundiag uses the same major/minor device numbers and permissions declared in /dev/MAKEDEV.

-p  Skip the Sundiag kernel probe for devices. If this argument is specified, Sundiag only runs the user-defined tests it finds in .usertest.

-q  Automatically quit the Sundiag program when testing stops. This option is designed for use in sh(1) or csh(1) shell scripts, and can only be issued from a command line.

-t  Run sundiag in tty mode.

-v  Suppress Sundiag start-up messages, so they do not interfere with the display when SunView windows come up. This argument is used in your .sunview file.

-w  Write the system hardware configuration to the /usr/adm/sundiaglog/sundiag.conf file.

-a hostname
    Run sundiag in automated test mode. This option requires special Sun automated test equipment and is intended for use by Sun manufacturing.

-h hostname
    Run Sundiag remotely. Specialized instructions are required; see the for details.

-o options_file
    Use the options_file to restore options. The default option file is .sundiag. .sundiag is used if the -o option is not used and if the default file exists.

-b batch_file
    Run Sundiag in batch mode.

-k kernel_name
    Specify the customized kernel name that was used to boot the system. The default kernel name is /vmunix. The performance monitor is disabled when this option is specified, since it depends upon rstadt(8C). rstadt(8C), in turn, relies on /vmunix as the kernel name.

sunview_arguments
    Refer to sunview(1) for examples of generic tool arguments that may be used with sundiag.

  Running Sundiag Tests from a Command Line

The following options are available when running individual Sundiag tests from a command line (“standard arguments”).

c   Create a core dump file if the system under test crashes.

p   Skip any test loops.

r   Continue testing after an error has occurred. The test continues with the next test sequence instead of exiting.

q   Run a faster, abbreviated version of the test, if it exists.

u   Display information on how to run the test. It shows three parts: command line usage, standard arguments and routine specific arguments.

v   Display verbose messages regarding the test. These messages tell you more about the testing process that is going on. This mode is more valuable for some tests than others; graphics tests only return start and stop messages/failures.

d   Display debug messages from the test. These messages provide more sophisticated information (mainly useful for test programmers).

t   Display messages which allow you to trace down function calls and the sequences being used by the test code for some of the tests.

h hostname
    Specify hostname to receive system messages regarding this test.

USAGE

  Running the Sundiag Program from SunView
When sundiag is started from the SunView window environment, it brings up its own window with four subwindows:

    •   A test status panel on the upper left of the screen, which shows the test results.

    •   A performance monitor in the upper middle of the screen, which tracks system activity levels.

    •   A control panel on the upper right of the screen, which displays the hardware available for test. Select the hardware to be tested by clicking the left mouse button in the small boxes next to each of the hardware items. A “check-mark” will appear in the box next to the tests which have been selected for test. Most hardware items have option menus for changing test parameters. The option menus can be opened by clicking the left mouse button on the Option button to the right of each hardware item.

    •   A console window on the lower right of the screen, which displays system and error messages.

There are also some popup frames, including a text frame for viewing sundiag and system log files.

  Running the Sundiag Program from a tty Interface

sundiag can be run from a terminal, by specifying the -t option (tty mode) when Sundiag is started. In tty mode, Sundiag emulates the window interface on a terminal screen. The tests and test options available in the window system are also available in tty mode. Commands and options are shown in brackets at the top of the tty screen, and are typed in at the command line on the bottom of the screen.

When executed from a terminal, sundiag uses curses(3V) to simulate subwindows on the screen.

  Running Individual Sundiag Tests from a Command Line

Sundiag tests can be run individually from a shell command line using the syntax explained above in the SNOPSIS and OPTIONS sections.

FILES
/var/adm/sundiaglog/options/.sundiag
    start-up option file
/usr/diag/sundiag/.usertest
    user-defined test description file
/var/adm/sundiaglog/sundiag.info
    Sundiag status log file
/var/adm/sundiaglog/sundiag.err
    Sundiag status error file
/var/adm/messages.*
    SunOS system log
/dev/MAKEDEV

SEE ALSO
sunview(1), curses(3V), rstatd(8C)